d3.csv('https://gist.githubusercontent.com/RupeshGandham/210e7d4d3e4550b821859961a9c3e957/raw/e81295b115811126fdbccef9b993a63f7d48213b/people%2520bmi.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Height'), 
  y:unpack(rows, 'Weight'), 
  z:unpack(rows, 'Index'),
	mode: 'markers',
	marker: {
		color: 'rgb(255, 51, 153)',
		size: 12,
		symbol: 'ellipse',
		line: {
		color: 'rgb(255, 51, 153)',
		width: 1},
		opacity: 1.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 10,
	r: 10,
	b: 10,
	t: 10},
  scene: {
    xaxis: {
      title: 'Height',
      titlefont: {
         color: 'brown',
         family: 'Times New Roman, Open Sans',
         size: 15
      }
    },
    yaxis: {
      title: 'Weight',
      titlefont: {
         color: 'brown',
         family: 'Times New Roman, Open Sans',
         size: 15
      }
    },
  zaxis: {
      title: 'Index',
      titlefont: {
         color: 'brown',
         family: 'Times New Roman, Open Sans',
         size: 15
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
